MeshTale Docs
GET
/v1/admin/margins

Authorization

sessionCookie
meshtale_session<token>

In: cookie

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/admin/margins"
{  "data": {    "asOf": "2019-08-24T14:15:22Z",    "monthStart": "2019-08-24",    "daysElapsed": 0,    "daysInMonth": 0,    "rows": [      {        "billingEntityId": "f8cd9e5c-3011-4308-9a24-9a408df79b3e",        "name": "string",        "planTier": "free",        "isTest": true,        "noPaymentOnRecord": true,        "overLine": true,        "marginPct": 0,        "revenueCents": 0,        "planRevenueCents": 0,        "addOnRevenueCents": 0,        "rechargeRevenueCents": 0,        "collectedPlanCents": 0,        "collectedAddOnCents": 0,        "collectedOtherCents": 0,        "grossCollectedCents": 0,        "listPlanCents": 0,        "chatCents": 0,        "processingCents": 0,        "processingReservedCents": 0,        "meteredCents": 0,        "indexCents": 0,        "storageBytes": 0,        "storageCents": 0,        "feeCents": 0,        "costCents": 0,        "marginCents": 0      }    ],    "firstPaymentAt": "2019-08-24T14:15:22Z",    "orphanedCents": 0,    "unallocatedIndexCents": 0,    "unattributedRevenueCents": 0,    "unattributedFeeCents": 0,    "storage": {      "source": "vendor_bill",      "centsPerGbMonth": 0,      "listPriceSource": "string",      "totalBytes": 0    },    "needsReview": {      "count": 0,      "cents": 0    },    "totals": {      "revenueCents": 0,      "costCents": 0,      "marginCents": 0,      "overLineCount": 0,      "paidOverLineCount": 0,      "freeOverLineCount": 0    }  }}
{  "error": "string",  "message": "string",  "details": {}}
{  "error": "string",  "message": "string",  "details": {}}